OS X Installer - 0.28.1

For discussion of topics specific to MythTV on OSX

OS X Installer - 0.28.1

Postby pvr4me » Wed Feb 15, 2017 3:29 pm

Hello Mac users:

Well, it has been a long time coming but I’m pleased to announce a new all-in-one installer for MythTV 0.28 on OS X (aka macOS). This one is really a big step forward for new users: no more Terminal commands required!

What's changed?
+ up-to-date version of MythTV 0.28.1 from the Fixes-0.28 branch.
+ install process simplified--no more Terminal commands required to get the database up and running!!
+ WebFrontend -- check out the initial version of the planned replacement for MythWeb
+ lots of pesky little things (like fonts) are fixed.
- Now requires OS X version 10.9 or later.

https://sourceforge.net/projects/macpor ... installer/

As usual, the installer (built with MacPorts) provides everything for a self-contained Mac-based system:
-backend and database (MariaDB)
-frontend (including selected plugins)
-Perl, Python and PHP bindings
-Both WebFrontend and MythWeb, for accessing and controlling your Myth system via a web browser
-all the support programs and packages to make everything 'just work'!

Updated instructions are at:

http://www.mythtv.org/wiki/MacPorts

Enjoy! Please post with any problems or issues here on the OS X forum.

Craig
The MacPorts guy.
User avatar
Canadapvr4me
Senior
 
Posts: 509
Joined: Fri Feb 07, 2014 7:25 pm
Location: near Toronto, Canada

Re: OS X Installer - 0.28.1

Postby leejk » Wed Feb 15, 2017 5:48 pm

Thank you sir! I'll try it out this weekend.
leejk
Junior
 
Posts: 57
Joined: Wed Mar 18, 2015 1:51 am

Re: OS X Installer - 0.28.1

Postby grayman001 » Sat Feb 18, 2017 2:12 am

Thanks for all your support for the community and releasing the latest version Craig.

Much appreciated :)
Australiagrayman001
Junior
 
Posts: 19
Joined: Thu Jul 24, 2014 8:52 am

Re: OS X Installer - 0.28.1

Postby karlshea » Mon Apr 10, 2017 12:02 am

I only need frontend, and already have MySQL installed. Is there any way to only install the applications instead of everything else?
karlshea
Newcomer
 
Posts: 4
Joined: Wed Apr 29, 2015 5:15 pm

Re: OS X Installer - 0.28.1

Postby pvr4me » Mon Apr 10, 2017 12:39 am

karlshea wrote:I only need frontend, and already have MySQL installed. Is there any way to only install the applications instead of everything else?

I'm not sure if you mean the database and backend are already running on this Mac or on another machine on the network? The installer starts the database which could be a problem. Need to check something...

Craig
The MacPorts guy.
User avatar
Canadapvr4me
Senior
 
Posts: 509
Joined: Fri Feb 07, 2014 7:25 pm
Location: near Toronto, Canada

Re: OS X Installer - 0.28.1

Postby pvr4me » Mon Apr 10, 2017 12:55 am

If you install with the all-in-one installer, you may stop the included database with the following command:

Code: Select all
sudo launchctl unload /Library/LaunchDaemons/org.macports.mariadb-server.plist


You will have to supply your administrator's password. If it works, you'll just get the command prompt--for errors it will bark something.

Craig
The MacPorts guy.
User avatar
Canadapvr4me
Senior
 
Posts: 509
Joined: Fri Feb 07, 2014 7:25 pm
Location: near Toronto, Canada

Re: OS X Installer - 0.28.1

Postby karlshea » Mon Apr 10, 2017 4:44 am

My Myth backend is on another machine, but I have MySQL installed and running locally for web development.

Thanks anyways, I'm going to just give up running Myth frontend on this Mac. I wanted to be able to change some settings that only frontend can do, but it's not worth the hassle.

I tried building it myself, but the docs for building on the Mac are really outdated and osx-packager-qtsdk.pl isn't updated to work with the newest XCode or even knows where to download the archived Qt version it seems to need. It's now failing trying to build Qt5Sql and my willingness to get this working is over.
karlshea
Newcomer
 
Posts: 4
Joined: Wed Apr 29, 2015 5:15 pm

Re: OS X Installer - 0.28.1

Postby pvr4me » Mon Apr 10, 2017 12:02 pm

Have you tried the pre-built bundled apps?

https://sourceforge.net/projects/mythtvformacosx/files/

The frontend was updated last September but should still be compatible with any 0.28 backend.

Craig
The MacPorts guy.
User avatar
Canadapvr4me
Senior
 
Posts: 509
Joined: Fri Feb 07, 2014 7:25 pm
Location: near Toronto, Canada

Re: OS X Installer - 0.28.1

Postby karlshea » Mon Apr 10, 2017 4:53 pm

I was using those builds previously, but they seem to have problems with a 0.28.1 backend. They attempt db schema updates on launch, and are very crashy (at least on Sierra, not sure if it's a backend compatibility issue or a Sierra issue—I use frontend on this Mac infrequently so I don't have a good sense of which side might be the issue).
karlshea
Newcomer
 
Posts: 4
Joined: Wed Apr 29, 2015 5:15 pm


Return to OSX



Who is online

Users browsing this forum: No registered users and 1 guest